cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/habits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"habits": [
{
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"description": "Example description",
"habitType": "string",
"goalPeriod": "string",
"logMode": "string",
"goalValue": 1,
"allowableValue": 1,
"unit": "string",
"color": "string"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Client habits
List client habits
Requires habits:read. Reminder settings, internal actor fields, and deletion metadata are omitted.
GET
/
public
/
v1
/
clients
/
{clientId}
/
habits
cURL
curl -X GET "https://api.fitsociety.io/public/v1/clients/{clientId}/habits" \
-H "Authorization: Bearer <access_token>"const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fitsociety.io/public/v1/clients/{clientId}/habits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fitsociety.io/public/v1/clients/{clientId}/habits"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"habits": [
{
"habitId": "66f7b8b1e13c8d25f4d3d90a",
"name": "Example name",
"description": "Example description",
"habitType": "string",
"goalPeriod": "string",
"logMode": "string",
"goalValue": 1,
"allowableValue": 1,
"unit": "string",
"color": "string"
}
]
},
"meta": {
"requestId": "4f849d7d-f4f1-45cc-b4b7-3984a3d17f83",
"rateLimit": {
"limit": 10,
"remaining": 9,
"resetSeconds": 1
}
}
}Authorizations
Public API access token issued by /public/v1/oauth/token. Example: Authorization: Bearer fspt_.... Each resource request rechecks the token company's current provider access. Disabling access blocks existing tokens with 403 auth.provider_unavailable.
Path Parameters
Example:
"66f7b8b1e13c8d25f4d3d90a"